package wusthelper.web.api.v2.dto.response;

import cn.wustlinghang.mywust.data.global.Score;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class GraduateScoreResponse {

    //课程名
    private String name;

    //课程学分
    private Double credit;

    //选修学期
    private Integer term;

    //得分
    private String point;

    public static GraduateScoreResponse from(Score score) {
        GraduateScoreResponse graduateScoreResponse = new GraduateScoreResponse();
        graduateScoreResponse.setName(score.getCourseName());
        graduateScoreResponse.setCredit(Double.parseDouble(score.getCredit()));
        graduateScoreResponse.setTerm(Integer.parseInt(score.getTerm()));
        graduateScoreResponse.setPoint(score.getGradePoint());

        return graduateScoreResponse;
    }
}
