package wusthelper.web.api.v2.module.graduate;

import org.springframework.web.bind.annotation.*;
import wusthelper.web.api.v2.TokenTool;
import wusthelper.web.response.Response;
import wusthelper.web.service.campus.UserLoginService;

@RestController
@RequestMapping("/v2/yjs")
public class GraduateLoginController {
    private final UserLoginService userLoginService;

    public GraduateLoginController(UserLoginService userLoginService) {
        this.userLoginService = userLoginService;
    }

    @PostMapping("/login")
    public Response<String> login(@RequestParam("stuNum") String username,
                                  @RequestParam("jwcPwd") String password,
                                  @RequestHeader(name = "Platform", required = false) String platform) {

        var user = userLoginService.login(username, password, UserLoginService.LoginType.Graduate);

        String token = TokenTool.signToken(user.getUid(), user.getStuNum());

        return Response.success(token);
    }
}