package wusthelper.web.api.v2.module.physics;

import org.springframework.web.bind.annotation.*;
import wusthelper.web.api.v2.TokenTool;
import wusthelper.web.response.Response;
import wusthelper.web.service.campus.UserLoginService;

@RestController
@RequestMapping("/v2/wlsy")
public class PhysicsLoginController {
    private final UserLoginService userLoginService;

    public PhysicsLoginController(UserLoginService userLoginService) {
        this.userLoginService = userLoginService;
    }

    @PostMapping("/login")
    public Response<Object> login(@RequestParam("wlsyPwd") String password,
                                  @RequestHeader("Token") String token) {
        String username = TokenTool.getStudentNumber(token);
        userLoginService.login(username, password, UserLoginService.LoginType.Graduate);

        return Response.success();
    }
}