package wusthelper.web.rpc.http.graduate;

import jakarta.validation.constraints.NotNull;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import wusthelper.internal.rpc.response.RpcResponseDto;

@Component
@FeignClient(name = "wusthelper.graduate", contextId = "graduate-trainingPlan")
public interface GraduateTrainingPlanRemote {
    String ROOT_PATH = "/training_plan";

    @GetMapping(ROOT_PATH)
    RpcResponseDto<String> get(@RequestParam("cookie") String cookie);

    @GetMapping(ROOT_PATH + "/agent")
    RpcResponseDto<String> agent(@RequestParam("cookie") @NotNull String cookie);

    @PostMapping(ROOT_PATH + "/parse")
    RpcResponseDto<String> parse(String html);
}
