package wusthelper.web.rpc.http.physics;

import cn.wustlinghang.mywust.data.global.Course;
import cn.wustlinghang.mywust.data.physics.PhysicsCourse;
import jakarta.validation.constraints.NotNull;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import wusthelper.internal.rpc.response.RpcResponseDto;

import java.util.List;

@Component
@FeignClient(name = "wusthelper.physics", contextId = "physics-courseTable")
public interface PhysicsCourseTableRemote {
    String ROOT_PATH = "/course_table";

    @GetMapping(ROOT_PATH)
    RpcResponseDto<List<PhysicsCourse>> get(@RequestParam("cookie") String cookie);

    @GetMapping(ROOT_PATH + "/agent")
    RpcResponseDto<String> agent(@RequestParam("cookie") @NotNull String cookie);

    @PostMapping(ROOT_PATH + "/parse")
    RpcResponseDto<List<Course>> parse(String html);
}
