package wusthelper.web.service.campus.library;

import org.springframework.stereotype.Service;
import wusthelper.code.ServiceCode;
import wusthelper.web.exception.ServiceException;
import wusthelper.web.rpc.http.graduate.GraduateCookieRemote;

@Service
public class LibraryCookieService {
    private final GraduateCookieRemote graduateCookieRemote;

    public LibraryCookieService(GraduateCookieRemote graduateCookieRemote) {
        this.graduateCookieRemote = graduateCookieRemote;
    }

    public String getLoginCookie(String username, String password) throws ServiceException {
        var rpcResp = graduateCookieRemote.login(username, password);
        if (rpcResp.code() != ServiceCode.Ok) {
            ServiceException.error(rpcResp.code());
        }

        return rpcResp.data();
    }

    public Boolean checkCookie(String cookie) {
        return graduateCookieRemote.verify(cookie).data();
    }
}
