package wusthelper.web.service.campus.physics;

import org.springframework.stereotype.Service;
import wusthelper.code.ServiceCode;
import wusthelper.web.data.entity.CookieType;
import wusthelper.web.exception.ServiceException;
import wusthelper.web.rpc.http.physics.PhysicsCookieRemote;
import wusthelper.web.service.cookie.CookieManager;

@Service
public class PhysicsCookieService {
    private final PhysicsCookieRemote physicsCookieRemote;

    public PhysicsCookieService(PhysicsCookieRemote physicsCookieRemote) {
        this.physicsCookieRemote = physicsCookieRemote;
    }

    public String getLoginCookie(String username, String password) throws ServiceException {
        var rpcResp = physicsCookieRemote.login(username, password);
        if (rpcResp.code() != ServiceCode.Ok) {
            ServiceException.error(rpcResp.code());
        }

        return rpcResp.data();
    }

    public Boolean checkCookie(String cookie) {
        return physicsCookieRemote.verify(cookie).data();
    }
}
