package wusthelper.web.service.campus.physics;

import cn.wustlinghang.mywust.data.global.Score;
import org.springframework.stereotype.Service;
import wusthelper.code.ServiceCode;
import wusthelper.web.data.entity.CookieType;
import wusthelper.web.exception.ServiceException;
import wusthelper.web.rpc.http.physics.PhysicsScoreRemote;
import wusthelper.web.service.cookie.CookieManager;

import java.util.List;

@Service
public class PhysicsScoreService {
    private final PhysicsScoreRemote scoreRemote;
    private final CookieManager cookieManager;

    public PhysicsScoreService(PhysicsScoreRemote scoreRemote, CookieManager cookieManager) {
        this.scoreRemote = scoreRemote;
        this.cookieManager = cookieManager;
    }

    public List<Score> getScore(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.Physics);
        var rpcResp = scoreRemote.get(cookie);
        if (rpcResp.code() != ServiceCode.Ok) {
            ServiceException.error(rpcResp.code());
        }

        // todo 异步存用户课表，异常判断等等
        return rpcResp.data();
    }
}
